Bug 1462520 - Error validating provider after upgrading engine
Error validating provider after upgrading engine
Product: ovirt-provider-ovn
Classification: oVirt
Component: provider (Show other bugs)
Unspecified Unspecified
medium Severity high
: ovirt-4.2.0
: ---
Assigned To: Marcin Mirecki
Depends On:
  Show dependency treegraph
Reported: 2017-06-18 08:14 EDT by Mor
Modified: 2017-12-04 09:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-11-27 03:56:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2+

Attachments (Terms of Use)

  None (edit)
Description Mor 2017-06-18 08:14:23 EDT
Description of problem:
Test provider shows error "Error while executing action: A Request to the Server failed: Invalid type signature for org.ovirt.engine.core.common.action.VdcActionType" after upgrading ovirt-engine packages using engine-setup.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run engine-setup and upgrade available ovirt-engine packages.
2. Use test button on the default OVN provider (ovirt-provider-ovn) that was created by engine-setup.
3. Approve the certificate import.

Actual results:
Error is thrown - "Error while executing action: A Request to the Server failed: Invalid type signature for org.ovirt.engine.core.common.action.VdcActionType".

Expected results:
Should succeed.
Comment 2 Dan Kenigsberg 2017-11-22 03:52:39 EST
From which Engine and provider versions have you upgraded?

Is it only a problem of the Test button, or does the provider not work at all?
Comment 3 Mor 2017-11-22 10:23:30 EST
This bug is 5 months old and I don't keep track of version that I upgrade. 

Maybe we should add a logger for provider version in ovirt-provider-ovn.log, so we can easily track this?
Comment 4 Mor 2017-11-22 10:27:22 EST
If the provider not work at all? I'm not sure, I don't remember exactly. It was relevant for the Test button for sure.
Comment 5 Marcin Mirecki 2017-11-24 10:19:28 EST
I tried this with the current master, and it works fine.
Can you please re-check.
If it fails please provider the engine log.

Note You need to log in before you can comment on or make changes to this bug.